Page 1 of 2 12 LastLast
Results 1 to 10 of 11
Discuss 3.9 vs. 4.6 at the Redsn0w - Hackint0sh.org; Hello all, Does anyone knows if Redsn0w offers control over flasing bootloaders? The reason I ...
  1. #1
    Rookie Array

    Join Date
    Jan 2008
    Posts
    18
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default 3.9 vs. 4.6

    Hello all,

    Does anyone knows if Redsn0w offers control over flasing bootloaders?

    The reason I ask is that I believe I am running 3.9 and would like to upgrade to 4.6.

    My suspition comes from the fact that on Pwnage boot I believe I saw it selecting 3.9 (although I thought I had chosen 4.6 on the tool). And no application can find location data whenever I authorize it. Maps can't find it neither...

    Many thanks in advance.

    Best regards,
    Dg



  2. #2
    Speedy Administrator Array n350z's Avatar

    Join Date
    Nov 2007
    Location
    United Kingdom
    Posts
    3,021
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    10

    Default

    If you make a custom IPSW with pwnagetool you can select 3.9 or 4.6 BL
    -
    Read the stickies and search the forum before posting!
    Did we solve your problem? +1 us above
    If you want to become a Hackint0sh supporter click here
    ----------
    Follow Hackint0sh Follow Me

  3. #3
    Rookie Array

    Join Date
    Jan 2008
    Posts
    18
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    I am currently running on a 3.0 upgraded from a custom 2.2.1 Pwnaged (Mac) restore, so that I have 3.0 activated and unlocked, no jailbreak and no You Tube.

    I was planning on doing a DFU restore to 3.0 and running Redsn0w to activate, jailbreak and unlock, going through the recomended iClarified tutorial.

    Now, I am not sure what you are sugesting... Where does Pwnage fit in the Redsnow process?

    Do you mean:
    1. I should use Pwnage to create custom 3.0 with 4.6 bl and restore to that? (does Pwnage work with 3.0?), or
    2. Do anohter custom 2.2.1 Pwnage restore, upgrade to 3.0 and run redsn0w (would that leave me without You Tube, again?), or
    3. ..... (something else, please fill the dotted line)

    Many thanks for the help.

    Beste regards,
    Daniel

  4. #4
    Administrator Array

    Join Date
    Oct 2007
    Posts
    4,145
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    10

    Default

    Changing bootloader from 3.9 to 4.6 or vice-versa does not make a difference.
    It is best to leave the bootloader on 2g iphone as is.

    Just put the phone in DFU mode, restore with 3.0 firmware from apple.
    Use redsnow to jailbreak + Cydia on the phone. No need to select unlock because your baseband is already unlocked from 2.2.1.

    FYI, if iphone 2g was unlocked before in 2.x firmware. It will remains unlock because everything has been neutered/unlocked in the past (unless you manually changed it in bootneuter 2.1)
    ** If you just want to support hackint0sh.org with a donation click here **

  5. #5
    Rookie Array

    Join Date
    Mar 2008
    Posts
    22
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    dgomes:

    If your phone has been jailbroken than just use cydia and install bootneuter, regardless of the current firmware on your phone, select the bootloader version you want (3.9 or 4.6), select neuter "on" and unlock "on" (i recommend keeping fakeblank to "off") and just flash it. If you are on 2.x.x and do this before upgrading to 3.0 than redsn0w will keep the choice you made as it is. If you already upgraded to 3.0 use redsn0w to jailbreak your iphone. Afterwards you can install bootneuter and use it the same way. Just flash your phone with the settings you want and bootneuter will keep the phone unlocked (if you choose so) with bootloader version you want and neutered or not and everything else in order and it will stay that way until you decide to change them again regardless of future firmware upgrades or downgrades. I also recommend to uninstall bootneuter after you flash your phone so you can't do any changes accidentally. I hope this helps.
    Last edited by chirson; 06-25-2009 at 02:01 AM. Reason: typo
    8G 1.1.4 (O.O.T.B) iLibety+ --> 2.0PWND -->2.1QPWN -->2.2QPWN -->2.2.1QPWN -->3.0redsn0w


  6. #6
    Rookie Array

    Join Date
    Jun 2008
    Posts
    28
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Quote Originally Posted by chirson View Post
    dgomes:

    If your phone has been jailbroken than just use cydia and install bootneuter, regardless of the current firmware on your phone, select the bootloader version you want (3.9 or 4.6), select neuter "on" and unlock "on" (i recommend keeping fakeblank to "off") and just flash it. If you are on 2.x.x and do this before upgrading to 3.0 than redsn0w will keep the choice you made as it is. If you already upgraded to 3.0 use redsn0w to jailbreak your iphone. Afterwards you can install bootneuter and use it the same way. Just flash your phone with the settings you want and bootneuter will keep the phone unlocked (if you choose so) with bootloader version you want and neutered or not and everything else in order and it will stay that way until you decide to change them again regardless of future firmware upgrades or downgrades. I also recommend to uninstall bootneuter after you flash your phone so you can't do any changes accidentally. I hope this helps.
    So ... I have 2.X (quickpawn) FW with bootneuter set manually working fine for several months. Which is the process to upgrade 3.0 OS. ?

    1.Enter to DFU mode
    2.Restore trought iTunes 8.2 and download FW 3.0
    3.Redsnow it

    All my loaders are kept ? what about my data ? Do i need to backup it ?

    Thanks in advance

  7. #7
    Rookie Array

    Join Date
    Jan 2008
    Posts
    18
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Quote Originally Posted by dtube View Post
    Changing bootloader from 3.9 to 4.6 or vice-versa does not make a difference.
    It is best to leave the bootloader on 2g iphone as is.
    I always thought the iPhone 2G can only find its location (in Maps and for other location bases apps) if it had the 4.6 bootloader, isn't that true?

    I know it does not have GPS, so I figure it finds itself based on Radio Base Stations location information... But again, that only with bl 4.6....


    Quote Originally Posted by chirson View Post
    dgomes:

    If your phone has been jailbroken than just use cydia and install bootneuter, regardless of the current firmware on your phone, select the bootloader version you want (3.9 or 4.6), select neuter "on" and unlock "on" (i recommend keeping fakeblank to "off") and just flash it. If you are on 2.x.x and do this before upgrading to 3.0 than redsn0w will keep the choice you made as it is. If you already upgraded to 3.0 use redsn0w to jailbreak your iphone. Afterwards you can install bootneuter and use it the same way. Just flash your phone with the settings you want and bootneuter will keep the phone unlocked (if you choose so) with bootloader version you want and neutered or not and everything else in order and it will stay that way until you decide to change them again regardless of future firmware upgrades or downgrades. I also recommend to uninstall bootneuter after you flash your phone so you can't do any changes accidentally. I hope this helps.
    That is exactly what I wanted to know. Thank you!

  8. #8
    Rookie Array

    Join Date
    Mar 2008
    Posts
    22
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Quote Originally Posted by MrtynKyn View Post
    So ... I have 2.X (quickpawn) FW with bootneuter set manually working fine for several months. Which is the process to upgrade 3.0 OS. ?

    1.Enter to DFU mode
    2.Restore trought iTunes 8.2 and download FW 3.0
    3.Redsnow it

    All my loaders are kept ? what about my data ? Do i need to backup it ?

    Thanks in advance
    Yes, that will do it, upgrading to 3.0 and jailbreaking your iphone with redsn0w won't change anything you manually did with bootneuter. Regarding data you will have to back up your phone before upgrading to 3.0 and restore it from back up after jailbreaking with redsn0w, but I don't recommend this after major upgrade such as 2.x.x to 3.0. You will lose some data (sms, call records, some game info, etc.) but in my experience so far, the phone will behave much smoother without restoring it from back up. If you absolutely cannot live without your previous data that by all means do restore it from back up, the phone should work fine.
    Last edited by chirson; 06-25-2009 at 06:21 PM.
    8G 1.1.4 (O.O.T.B) iLibety+ --> 2.0PWND -->2.1QPWN -->2.2QPWN -->2.2.1QPWN -->3.0redsn0w

  9. #9
    Rookie Array

    Join Date
    Jun 2008
    Posts
    28
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Quote Originally Posted by chirson View Post
    Yes, that will do it, upgrading to 3.0 and jailbreaking your iphone with redsn0w won't change anything you manually did with bootneuter. Regarding data you will have to back up your phone before upgrading to 3.0 and restore it from back up after jailbreaking with redsn0w, but I don't recommend this after major upgrade such as 2.x.x to 3.0. You will lose some data (sms, call records, some game info, etc.) but in my experience so far, the phone will behave much smoother without restoring it from back up. If you absolutely cannot live without your previous data that by all means do restore it from back up, the phone should work fine.
    Thanks for the answer.
    What about backup data with an appz , not itunes , or manually insert the files through winscp?

    Anyone knows any software who works under 2.2.1 FW to backup and then restore under 3.0 FW ?

  10. #10
    Professional Array

    Join Date
    Oct 2009
    Posts
    55
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    7

    Default

    Quote Originally Posted by dgomes View Post
    I always thought the iPhone 2G can only find its location (in Maps and for other location bases apps) if it had the 4.6 bootloader, isn't that true?

    I know it does not have GPS, so I figure it finds itself based on Radio Base Stations location information... But again, that only with bl 4.6....

    That is exactly what I wanted to know. Thank you!
    Is this true?

    I am currently on a 2G iPhone 2.2 Fw with Modem: 4.04.05_G

    I dont know which BL I have.

    I am using Pwnage Tool 3.1.4 on Apple Mac OSX running on VMWare to create the IPSW.

    Should I try to keep 3.9 or 4.6 BL? What benefit does one have over other.. Especially now that both are unlockable.


 

 
Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 06:10 PM.
twitter, follow us!